package com.bytedance.ies.ugc.aweme.commercialize.splash;

import X.0Gf;
import X.0Gp;
import X.2kf;
import X.7ku;
import X.8Zd;
import X.8Ze;
import X.8ec;
import X.8lp;
import X.9FH;
import X.9Ft;
import X.9Fx;
import X.9HS;
import X.C3616LSd;
import X.C3943Lby;
import X.C3962LcH;
import X.FLK;
import X.LSP;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.ugc.aweme.commercialize.splash.core.SplashAdServiceImpl;
import java.util.List;

public class SplashAdManagerPreloadTask implements 9FH, 8Ze {
    static {
        Covode.recordClassIndex(30780);
    }

    public boolean meetTrigger() {
        return true;
    }

    public String prefix() {
        return "task_";
    }

    public int priority() {
        return 1;
    }

    public boolean serialExecute() {
        return false;
    }

    public int targetProcess() {
        return 1;
    }

    public List triggerOtherLegoComponents() {
        return null;
    }

    public 9Ft triggerType() {
        return 8Zd.LIZ(this);
    }

    public 9Fx scenesType() {
        return 9Fx.DEFAULT;
    }

    public 8lp threadType() {
        return 8lp.CPU;
    }

    public 8ec type() {
        return 8ec.BACKGROUND;
    }

    public String[] deps() {
        return new String[]{"InitAdServiceTask"};
    }

    public String key() {
        return getClass().getSimpleName();
    }

    public void run(Context context) {
        2kf.LIZ(3, (String) null, "SplashAdManagerPreloadTask");
        if (((Boolean) C3962LcH.LIZ.getValue()).booleanValue()) {
            0Gp.LIZ(9HS.LIZ, 0Gp.LIZ, (0Gf) null);
        }
        C3943Lby.LIZ(context);
        if (7ku.LJJIII.LJJIL() && SplashAdServiceImpl.LJIIJ().LIZ()) {
            LSP.LIZ().LIZIZ();
            FLK.LJIIJ = true;
            C3616LSd.LIZLLL.LIZ(context);
        }
        if (C3962LcH.LIZIZ.LIZLLL() && FLK.LIZJ && !FLK.LJIIJ) {
            FLK.LJIIJ = true;
            C3616LSd.LIZLLL.LIZ(context);
        }
    }
}
